
_Set_up:

;MCP4725_CNF.c,32 :: 		void Set_up() {
;MCP4725_CNF.c,34 :: 		ANSEL = 0x04;      // Pin RA2 sets as analog input.
	MOVLW      4
	MOVWF      ANSEL+0
;MCP4725_CNF.c,35 :: 		TRISA = 0x04;
	MOVLW      4
	MOVWF      TRISA+0
;MCP4725_CNF.c,36 :: 		ADCON1 = 0x82;    // the Vref is Vcc.
	MOVLW      130
	MOVWF      ADCON1+0
;MCP4725_CNF.c,37 :: 		ANSELH = 0;      // the rest of the pins set as digital Inputs or outputs.
	CLRF       ANSELH+0
;MCP4725_CNF.c,38 :: 		C1ON_bit = 0;    // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;MCP4725_CNF.c,39 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;MCP4725_CNF.c,40 :: 		CCP1CON = 0;   //PWM1 y PWM2 off.
	CLRF       CCP1CON+0
;MCP4725_CNF.c,41 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;MCP4725_CNF.c,42 :: 		CCP1CON = 0;   //PWM1 y PWM2 off.
	CLRF       CCP1CON+0
;MCP4725_CNF.c,43 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;MCP4725_CNF.c,44 :: 		trisc.b3=1;
	BSF        TRISC+0, 3
;MCP4725_CNF.c,45 :: 		trisc.b4=1;
	BSF        TRISC+0, 4
;MCP4725_CNF.c,46 :: 		TRISD0_bit=0;
	BCF        TRISD0_bit+0, BitPos(TRISD0_bit+0)
;MCP4725_CNF.c,47 :: 		TRISD1_bit=0;
	BCF        TRISD1_bit+0, BitPos(TRISD1_bit+0)
;MCP4725_CNF.c,48 :: 		TRISE0_bit=0;
	BCF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;MCP4725_CNF.c,49 :: 		TRISE1_bit=0;
	BCF        TRISE1_bit+0, BitPos(TRISE1_bit+0)
;MCP4725_CNF.c,50 :: 		Keypad_Init();
	CALL       _Keypad_Init+0
;MCP4725_CNF.c,51 :: 		I2C1_Init(100000);
	MOVLW      10
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;MCP4725_CNF.c,52 :: 		Delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_Set_up0:
	DECFSZ     R13+0, 1
	GOTO       L_Set_up0
	DECFSZ     R12+0, 1
	GOTO       L_Set_up0
	DECFSZ     R11+0, 1
	GOTO       L_Set_up0
	NOP
;MCP4725_CNF.c,53 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;MCP4725_CNF.c,54 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MCP4725_CNF.c,55 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MCP4725_CNF.c,56 :: 		RD0_bit=0;
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
;MCP4725_CNF.c,57 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;MCP4725_CNF.c,58 :: 		RE0_bit=0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;MCP4725_CNF.c,59 :: 		RE1_bit=0;
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
;MCP4725_CNF.c,60 :: 		text = "VREQ:";
	MOVLW      ?lstr1_MCP4725_CNF+0
	MOVWF      _text+0
;MCP4725_CNF.c,61 :: 		Lcd_Out(1,1,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MCP4725_CNF.c,62 :: 		text = "VMED:";
	MOVLW      ?lstr2_MCP4725_CNF+0
	MOVWF      _text+0
;MCP4725_CNF.c,63 :: 		Lcd_Out(2,1,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MCP4725_CNF.c,64 :: 		Delay_ms(10);
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_Set_up1:
	DECFSZ     R13+0, 1
	GOTO       L_Set_up1
	DECFSZ     R12+0, 1
	GOTO       L_Set_up1
	NOP
	NOP
;MCP4725_CNF.c,65 :: 		}
L_end_Set_up:
	RETURN
; end of _Set_up

_buzzer:

;MCP4725_CNF.c,66 :: 		void buzzer() {
;MCP4725_CNF.c,67 :: 		RD1_bit=1;
	BSF        RD1_bit+0, BitPos(RD1_bit+0)
;MCP4725_CNF.c,68 :: 		delay_ms(Tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_buzzer2:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer2
	DECFSZ     R12+0, 1
	GOTO       L_buzzer2
;MCP4725_CNF.c,69 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;MCP4725_CNF.c,70 :: 		delay_ms(Tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_buzzer3:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer3
	DECFSZ     R12+0, 1
	GOTO       L_buzzer3
;MCP4725_CNF.c,71 :: 		}
L_end_buzzer:
	RETURN
; end of _buzzer

_mcp4725_write:

;MCP4725_CNF.c,73 :: 		void mcp4725_write(unsigned int dato)
;MCP4725_CNF.c,75 :: 		}
L_end_mcp4725_write:
	RETURN
; end of _mcp4725_write

_mcp4725_read:

;MCP4725_CNF.c,76 :: 		unsigned int mcp4725_read()
;MCP4725_CNF.c,78 :: 		}
L_end_mcp4725_read:
	RETURN
; end of _mcp4725_read

_print1:

;MCP4725_CNF.c,79 :: 		void print1(){
;MCP4725_CNF.c,81 :: 		RE0_bit=1;
	BSF        RE0_bit+0, BitPos(RE0_bit+0)
;MCP4725_CNF.c,82 :: 		RE1_bit=0;
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
;MCP4725_CNF.c,84 :: 		ch = voltio/1000;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
;MCP4725_CNF.c,85 :: 		Lcd_Chr(1,6,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      6
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;MCP4725_CNF.c,86 :: 		ch = (voltio/ 100 )% 10;
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;MCP4725_CNF.c,87 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;MCP4725_CNF.c,88 :: 		Lcd_Chr(1,8,'.');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      46
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;MCP4725_CNF.c,89 :: 		ch = (voltio / 10 )% 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;MCP4725_CNF.c,90 :: 		Lcd_Chr(1,9,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      9
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;MCP4725_CNF.c,91 :: 		ch = voltio % 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;MCP4725_CNF.c,92 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;MCP4725_CNF.c,94 :: 		}
L_end_print1:
	RETURN
; end of _print1

_print2:

;MCP4725_CNF.c,96 :: 		void print2(){
;MCP4725_CNF.c,98 :: 		RE0_bit=0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;MCP4725_CNF.c,99 :: 		RE1_bit=1;
	BSF        RE1_bit+0, BitPos(RE1_bit+0)
;MCP4725_CNF.c,101 :: 		ch = voltio/1000;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
;MCP4725_CNF.c,102 :: 		Lcd_Chr(1,6,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      6
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;MCP4725_CNF.c,103 :: 		ch = (voltio/ 100 )% 10;
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;MCP4725_CNF.c,104 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;MCP4725_CNF.c,105 :: 		ch = (voltio / 10 )% 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;MCP4725_CNF.c,106 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;MCP4725_CNF.c,107 :: 		ch = voltio % 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;MCP4725_CNF.c,108 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;MCP4725_CNF.c,109 :: 		Lcd_Chr(1,10,' ');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      32
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;MCP4725_CNF.c,110 :: 		}
L_end_print2:
	RETURN
; end of _print2

_mcp4725_ADC:

;MCP4725_CNF.c,111 :: 		void mcp4725_ADC(float valor)
;MCP4725_CNF.c,114 :: 		dato=valor;
	MOVF       FARG_mcp4725_ADC_valor+0, 0
	MOVWF      R0+0
	MOVF       FARG_mcp4725_ADC_valor+1, 0
	MOVWF      R0+1
	MOVF       FARG_mcp4725_ADC_valor+2, 0
	MOVWF      R0+2
	MOVF       FARG_mcp4725_ADC_valor+3, 0
	MOVWF      R0+3
	CALL       _double2word+0
	MOVF       R0+0, 0
	MOVWF      mcp4725_ADC_dato_L0+0
	MOVF       R0+1, 0
	MOVWF      mcp4725_ADC_dato_L0+1
;MCP4725_CNF.c,115 :: 		i2c1_Start();
	CALL       _I2C1_Start+0
;MCP4725_CNF.c,116 :: 		i2c1_Wr(dir_ADC);
	MOVLW      192
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;MCP4725_CNF.c,117 :: 		i2c1_Wr(hi(dato));
	MOVF       mcp4725_ADC_dato_L0+1, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;MCP4725_CNF.c,118 :: 		i2c1_Wr(lo(dato));
	MOVF       mcp4725_ADC_dato_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;MCP4725_CNF.c,119 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;MCP4725_CNF.c,120 :: 		}
L_end_mcp4725_ADC:
	RETURN
; end of _mcp4725_ADC

_key_pad:

;MCP4725_CNF.c,121 :: 		void key_pad() {
;MCP4725_CNF.c,122 :: 		short int i=0, select=0, clear=0;
	CLRF       key_pad_i_L0+0
	CLRF       key_pad_select_L0+0
	CLRF       key_pad_clear_L0+0
;MCP4725_CNF.c,123 :: 		contador=0;
	CLRF       _contador+0
;MCP4725_CNF.c,124 :: 		Voltio=0;
	CLRF       _Voltio+0
	CLRF       _Voltio+1
	CLRF       _Voltio+2
	CLRF       _Voltio+3
;MCP4725_CNF.c,125 :: 		value=0;
	CLRF       _value+0
	CLRF       _value+1
	CLRF       _value+2
	CLRF       _value+3
;MCP4725_CNF.c,126 :: 		buzzer();
	CALL       _buzzer+0
;MCP4725_CNF.c,127 :: 		for(i=0; i<=3; i++){
	CLRF       key_pad_i_L0+0
L_key_pad4:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      key_pad_i_L0+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_key_pad5
;MCP4725_CNF.c,128 :: 		kp=0;
	CLRF       _kp+0
;MCP4725_CNF.c,129 :: 		if(aux==1) {
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad7
;MCP4725_CNF.c,130 :: 		if(reg==0) {
	MOVF       _reg+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad8
;MCP4725_CNF.c,131 :: 		if(clear==1)Voltio=0;
	MOVF       key_pad_clear_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad9
	CLRF       _Voltio+0
	CLRF       _Voltio+1
	CLRF       _Voltio+2
	CLRF       _Voltio+3
L_key_pad9:
;MCP4725_CNF.c,132 :: 		if(clear==2)Voltio=Voltio/10;
	MOVF       key_pad_clear_L0+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad10
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _Voltio+0
	MOVF       R0+1, 0
	MOVWF      _Voltio+1
	MOVF       R0+2, 0
	MOVWF      _Voltio+2
	MOVF       R0+3, 0
	MOVWF      _Voltio+3
L_key_pad10:
;MCP4725_CNF.c,133 :: 		if(clear==0)Voltio=(10*Voltio) + contador;
	MOVF       key_pad_clear_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad11
	MOVLW      10
	MOVWF      R0+0
	CLRF       R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVF       _Voltio+0, 0
	MOVWF      R4+0
	MOVF       _Voltio+1, 0
	MOVWF      R4+1
	MOVF       _Voltio+2, 0
	MOVWF      R4+2
	MOVF       _Voltio+3, 0
	MOVWF      R4+3
	CALL       _Mul_32x32_U+0
	MOVF       _contador+0, 0
	MOVWF      _Voltio+0
	MOVLW      0
	BTFSC      _Voltio+0, 7
	MOVLW      255
	MOVWF      _Voltio+1
	MOVWF      _Voltio+2
	MOVWF      _Voltio+3
	MOVF       R0+0, 0
	ADDWF      _Voltio+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+1, 0
	ADDWF      _Voltio+1, 1
	MOVF       R0+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+2, 0
	ADDWF      _Voltio+2, 1
	MOVF       R0+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+3, 0
	ADDWF      _Voltio+3, 1
L_key_pad11:
;MCP4725_CNF.c,134 :: 		if(Voltio>4095) Voltio=contador;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _Voltio+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad76
	MOVF       _Voltio+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad76
	MOVF       _Voltio+1, 0
	SUBLW      15
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad76
	MOVF       _Voltio+0, 0
	SUBLW      255
L__key_pad76:
	BTFSC      STATUS+0, 0
	GOTO       L_key_pad12
	MOVF       _contador+0, 0
	MOVWF      _Voltio+0
	MOVLW      0
	BTFSC      _Voltio+0, 7
	MOVLW      255
	MOVWF      _Voltio+1
	MOVWF      _Voltio+2
	MOVWF      _Voltio+3
L_key_pad12:
;MCP4725_CNF.c,135 :: 		print2();
	CALL       _print2+0
;MCP4725_CNF.c,136 :: 		}
	GOTO       L_key_pad13
L_key_pad8:
;MCP4725_CNF.c,138 :: 		Voltio=Voltio;
;MCP4725_CNF.c,139 :: 		if(Voltio>4095) Voltio=contador;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _Voltio+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad77
	MOVF       _Voltio+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad77
	MOVF       _Voltio+1, 0
	SUBLW      15
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad77
	MOVF       _Voltio+0, 0
	SUBLW      255
L__key_pad77:
	BTFSC      STATUS+0, 0
	GOTO       L_key_pad14
	MOVF       _contador+0, 0
	MOVWF      _Voltio+0
	MOVLW      0
	BTFSC      _Voltio+0, 7
	MOVLW      255
	MOVWF      _Voltio+1
	MOVWF      _Voltio+2
	MOVWF      _Voltio+3
L_key_pad14:
;MCP4725_CNF.c,140 :: 		print2();
	CALL       _print2+0
;MCP4725_CNF.c,141 :: 		reg=0;
	CLRF       _reg+0
;MCP4725_CNF.c,142 :: 		}
L_key_pad13:
;MCP4725_CNF.c,143 :: 		}
L_key_pad7:
;MCP4725_CNF.c,144 :: 		if(aux==0) {
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad15
;MCP4725_CNF.c,145 :: 		if(reg==0) {
	MOVF       _reg+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad16
;MCP4725_CNF.c,146 :: 		if(clear==1)Voltio=0;
	MOVF       key_pad_clear_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad17
	CLRF       _Voltio+0
	CLRF       _Voltio+1
	CLRF       _Voltio+2
	CLRF       _Voltio+3
L_key_pad17:
;MCP4725_CNF.c,147 :: 		if(clear==2)Voltio=Voltio/10;
	MOVF       key_pad_clear_L0+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad18
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _Voltio+0
	MOVF       R0+1, 0
	MOVWF      _Voltio+1
	MOVF       R0+2, 0
	MOVWF      _Voltio+2
	MOVF       R0+3, 0
	MOVWF      _Voltio+3
L_key_pad18:
;MCP4725_CNF.c,148 :: 		if(clear==0)Voltio=(10*Voltio) + contador;
	MOVF       key_pad_clear_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad19
	MOVLW      10
	MOVWF      R0+0
	CLRF       R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVF       _Voltio+0, 0
	MOVWF      R4+0
	MOVF       _Voltio+1, 0
	MOVWF      R4+1
	MOVF       _Voltio+2, 0
	MOVWF      R4+2
	MOVF       _Voltio+3, 0
	MOVWF      R4+3
	CALL       _Mul_32x32_U+0
	MOVF       _contador+0, 0
	MOVWF      _Voltio+0
	MOVLW      0
	BTFSC      _Voltio+0, 7
	MOVLW      255
	MOVWF      _Voltio+1
	MOVWF      _Voltio+2
	MOVWF      _Voltio+3
	MOVF       R0+0, 0
	ADDWF      _Voltio+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+1, 0
	ADDWF      _Voltio+1, 1
	MOVF       R0+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+2, 0
	ADDWF      _Voltio+2, 1
	MOVF       R0+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+3, 0
	ADDWF      _Voltio+3, 1
L_key_pad19:
;MCP4725_CNF.c,149 :: 		if(Voltio>2000) Voltio=contador;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _Voltio+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad78
	MOVF       _Voltio+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad78
	MOVF       _Voltio+1, 0
	SUBLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad78
	MOVF       _Voltio+0, 0
	SUBLW      208
L__key_pad78:
	BTFSC      STATUS+0, 0
	GOTO       L_key_pad20
	MOVF       _contador+0, 0
	MOVWF      _Voltio+0
	MOVLW      0
	BTFSC      _Voltio+0, 7
	MOVLW      255
	MOVWF      _Voltio+1
	MOVWF      _Voltio+2
	MOVWF      _Voltio+3
L_key_pad20:
;MCP4725_CNF.c,150 :: 		print1();
	CALL       _print1+0
;MCP4725_CNF.c,151 :: 		}
	GOTO       L_key_pad21
L_key_pad16:
;MCP4725_CNF.c,153 :: 		Voltio=Voltio;
;MCP4725_CNF.c,154 :: 		if(Voltio>2000) Voltio=contador;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _Voltio+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad79
	MOVF       _Voltio+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad79
	MOVF       _Voltio+1, 0
	SUBLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad79
	MOVF       _Voltio+0, 0
	SUBLW      208
L__key_pad79:
	BTFSC      STATUS+0, 0
	GOTO       L_key_pad22
	MOVF       _contador+0, 0
	MOVWF      _Voltio+0
	MOVLW      0
	BTFSC      _Voltio+0, 7
	MOVLW      255
	MOVWF      _Voltio+1
	MOVWF      _Voltio+2
	MOVWF      _Voltio+3
L_key_pad22:
;MCP4725_CNF.c,155 :: 		print1();
	CALL       _print1+0
;MCP4725_CNF.c,156 :: 		reg=0;
	CLRF       _reg+0
;MCP4725_CNF.c,157 :: 		}
L_key_pad21:
;MCP4725_CNF.c,158 :: 		}
L_key_pad15:
;MCP4725_CNF.c,159 :: 		value=Voltio/0.4884;
	MOVF       _Voltio+0, 0
	MOVWF      R0+0
	MOVF       _Voltio+1, 0
	MOVWF      R0+1
	MOVF       _Voltio+2, 0
	MOVWF      R0+2
	MOVF       _Voltio+3, 0
	MOVWF      R0+3
	CALL       _longint2double+0
	MOVLW      145
	MOVWF      R4+0
	MOVLW      15
	MOVWF      R4+1
	MOVLW      122
	MOVWF      R4+2
	MOVLW      125
	MOVWF      R4+3
	CALL       _Div_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _value+0
	MOVF       R0+1, 0
	MOVWF      _value+1
	MOVF       R0+2, 0
	MOVWF      _value+2
	MOVF       R0+3, 0
	MOVWF      _value+3
;MCP4725_CNF.c,160 :: 		do  //hope that the keypad is pressed and after thar is free.
L_key_pad23:
;MCP4725_CNF.c,161 :: 		kp=Keypad_Key_Click();  //read the keypad.
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	MOVWF      _kp+0
;MCP4725_CNF.c,162 :: 		while (!kp);
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad23
;MCP4725_CNF.c,163 :: 		switch (kp){
	GOTO       L_key_pad26
;MCP4725_CNF.c,164 :: 		case  1:  contador = 7; clear=0; break;
L_key_pad28:
	MOVLW      7
	MOVWF      _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,165 :: 		case  2:  contador = 8; clear=0; break;
L_key_pad29:
	MOVLW      8
	MOVWF      _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,166 :: 		case  3:  contador = 9; clear=0; break;
L_key_pad30:
	MOVLW      9
	MOVWF      _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,167 :: 		case  4:  clear=2; break;
L_key_pad31:
	MOVLW      2
	MOVWF      key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,168 :: 		case  5:  contador = 4; clear=0; break;
L_key_pad32:
	MOVLW      4
	MOVWF      _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,169 :: 		case  6:  contador = 5; clear=0; break;
L_key_pad33:
	MOVLW      5
	MOVWF      _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,170 :: 		case  7:  contador = 6; clear=0; break;
L_key_pad34:
	MOVLW      6
	MOVWF      _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,171 :: 		case  8:  clear=1; break;
L_key_pad35:
	MOVLW      1
	MOVWF      key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,172 :: 		case  9:  contador = 1; clear=0; break;
L_key_pad36:
	MOVLW      1
	MOVWF      _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,173 :: 		case  10: contador = 2; clear=0; break;
L_key_pad37:
	MOVLW      2
	MOVWF      _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,174 :: 		case  11: contador = 3; clear=0; break;
L_key_pad38:
	MOVLW      3
	MOVWF      _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,175 :: 		case  12: contador = 0; aux=1; reg++; clear=0; break;
L_key_pad39:
	CLRF       _contador+0
	MOVLW      1
	MOVWF      _aux+0
	INCF       _reg+0, 1
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,176 :: 		case  13: select=1; break;
L_key_pad40:
	MOVLW      1
	MOVWF      key_pad_select_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,177 :: 		case  14: contador = 0; clear=0; break;
L_key_pad41:
	CLRF       _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,178 :: 		case  15: contador=0; aux=0; reg++; clear=0; break;
L_key_pad42:
	CLRF       _contador+0
	CLRF       _aux+0
	INCF       _reg+0, 1
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,179 :: 		case  16: contador = 0; clear=0; break;
L_key_pad43:
	CLRF       _contador+0
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad27
;MCP4725_CNF.c,180 :: 		}
L_key_pad26:
	MOVF       _kp+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad28
	MOVF       _kp+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad29
	MOVF       _kp+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad30
	MOVF       _kp+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad31
	MOVF       _kp+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad32
	MOVF       _kp+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad33
	MOVF       _kp+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad34
	MOVF       _kp+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad35
	MOVF       _kp+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad36
	MOVF       _kp+0, 0
	XORLW      10
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad37
	MOVF       _kp+0, 0
	XORLW      11
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad38
	MOVF       _kp+0, 0
	XORLW      12
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad39
	MOVF       _kp+0, 0
	XORLW      13
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad40
	MOVF       _kp+0, 0
	XORLW      14
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad41
	MOVF       _kp+0, 0
	XORLW      15
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad42
	MOVF       _kp+0, 0
	XORLW      16
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad43
L_key_pad27:
;MCP4725_CNF.c,181 :: 		if((select==0)&&(i==3)) i=0;
	MOVF       key_pad_select_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad46
	MOVF       key_pad_i_L0+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad46
L__key_pad67:
	CLRF       key_pad_i_L0+0
L_key_pad46:
;MCP4725_CNF.c,182 :: 		if(select==1) i=3;
	MOVF       key_pad_select_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad47
	MOVLW      3
	MOVWF      key_pad_i_L0+0
L_key_pad47:
;MCP4725_CNF.c,183 :: 		buzzer();
	CALL       _buzzer+0
;MCP4725_CNF.c,127 :: 		for(i=0; i<=3; i++){
	INCF       key_pad_i_L0+0, 1
;MCP4725_CNF.c,184 :: 		}
	GOTO       L_key_pad4
L_key_pad5:
;MCP4725_CNF.c,185 :: 		RE1_bit=0;
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
;MCP4725_CNF.c,186 :: 		RE0_bit=0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;MCP4725_CNF.c,187 :: 		if(aux==1) Vint = voltio;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad48
	MOVF       _Voltio+0, 0
	MOVWF      _Vint+0
	MOVF       _Voltio+1, 0
	MOVWF      _Vint+1
	MOVF       _Voltio+2, 0
	MOVWF      _Vint+2
	MOVF       _Voltio+3, 0
	MOVWF      _Vint+3
	GOTO       L_key_pad49
L_key_pad48:
;MCP4725_CNF.c,188 :: 		else       Vint = value;
	MOVF       _value+0, 0
	MOVWF      R0+0
	MOVF       _value+1, 0
	MOVWF      R0+1
	MOVF       _value+2, 0
	MOVWF      R0+2
	MOVF       _value+3, 0
	MOVWF      R0+3
	CALL       _double2longint+0
	MOVF       R0+0, 0
	MOVWF      _Vint+0
	MOVF       R0+1, 0
	MOVWF      _Vint+1
	MOVF       R0+2, 0
	MOVWF      _Vint+2
	MOVF       R0+3, 0
	MOVWF      _Vint+3
L_key_pad49:
;MCP4725_CNF.c,190 :: 		for(retardo=retardo; retardo<=Vint; retardo++){  //
L_key_pad50:
	MOVLW      128
	XORWF      _Vint+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _retardo+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad80
	MOVF       _retardo+2, 0
	SUBWF      _Vint+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad80
	MOVF       _retardo+1, 0
	SUBWF      _Vint+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad80
	MOVF       _retardo+0, 0
	SUBWF      _Vint+0, 0
L__key_pad80:
	BTFSS      STATUS+0, 0
	GOTO       L_key_pad51
;MCP4725_CNF.c,191 :: 		RD0_bit=1;
	BSF        RD0_bit+0, BitPos(RD0_bit+0)
;MCP4725_CNF.c,192 :: 		mcp4725_ADC(retardo);                 // Send value to DAC chip
	MOVF       _retardo+0, 0
	MOVWF      R0+0
	MOVF       _retardo+1, 0
	MOVWF      R0+1
	MOVF       _retardo+2, 0
	MOVWF      R0+2
	MOVF       _retardo+3, 0
	MOVWF      R0+3
	CALL       _longint2double+0
	MOVF       R0+0, 0
	MOVWF      FARG_mcp4725_ADC_valor+0
	MOVF       R0+1, 0
	MOVWF      FARG_mcp4725_ADC_valor+1
	MOVF       R0+2, 0
	MOVWF      FARG_mcp4725_ADC_valor+2
	MOVF       R0+3, 0
	MOVWF      FARG_mcp4725_ADC_valor+3
	CALL       _mcp4725_ADC+0
;MCP4725_CNF.c,193 :: 		Delay_ms(10);                         // Slow down key repeat pace
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_key_pad53:
	DECFSZ     R13+0, 1
	GOTO       L_key_pad53
	DECFSZ     R12+0, 1
	GOTO       L_key_pad53
	NOP
	NOP
;MCP4725_CNF.c,190 :: 		for(retardo=retardo; retardo<=Vint; retardo++){  //
	MOVF       _retardo+0, 0
	MOVWF      R0+0
	MOVF       _retardo+1, 0
	MOVWF      R0+1
	MOVF       _retardo+2, 0
	MOVWF      R0+2
	MOVF       _retardo+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _retardo+0
	MOVF       R0+1, 0
	MOVWF      _retardo+1
	MOVF       R0+2, 0
	MOVWF      _retardo+2
	MOVF       R0+3, 0
	MOVWF      _retardo+3
;MCP4725_CNF.c,194 :: 		}
	GOTO       L_key_pad50
L_key_pad51:
;MCP4725_CNF.c,195 :: 		for(retardo=retardo; retardo>=Vint; retardo--){
L_key_pad54:
	MOVLW      128
	XORWF      _retardo+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _Vint+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad81
	MOVF       _Vint+2, 0
	SUBWF      _retardo+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad81
	MOVF       _Vint+1, 0
	SUBWF      _retardo+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad81
	MOVF       _Vint+0, 0
	SUBWF      _retardo+0, 0
L__key_pad81:
	BTFSS      STATUS+0, 0
	GOTO       L_key_pad55
;MCP4725_CNF.c,196 :: 		RD0_bit=1;
	BSF        RD0_bit+0, BitPos(RD0_bit+0)
;MCP4725_CNF.c,197 :: 		mcp4725_ADC(retardo);                  // Send value to DAC chip
	MOVF       _retardo+0, 0
	MOVWF      R0+0
	MOVF       _retardo+1, 0
	MOVWF      R0+1
	MOVF       _retardo+2, 0
	MOVWF      R0+2
	MOVF       _retardo+3, 0
	MOVWF      R0+3
	CALL       _longint2double+0
	MOVF       R0+0, 0
	MOVWF      FARG_mcp4725_ADC_valor+0
	MOVF       R0+1, 0
	MOVWF      FARG_mcp4725_ADC_valor+1
	MOVF       R0+2, 0
	MOVWF      FARG_mcp4725_ADC_valor+2
	MOVF       R0+3, 0
	MOVWF      FARG_mcp4725_ADC_valor+3
	CALL       _mcp4725_ADC+0
;MCP4725_CNF.c,198 :: 		Delay_ms(10);                         // Slow down key repeat pace
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_key_pad57:
	DECFSZ     R13+0, 1
	GOTO       L_key_pad57
	DECFSZ     R12+0, 1
	GOTO       L_key_pad57
	NOP
	NOP
;MCP4725_CNF.c,195 :: 		for(retardo=retardo; retardo>=Vint; retardo--){
	MOVLW      1
	SUBWF      _retardo+0, 1
	BTFSS      STATUS+0, 0
	SUBWF      _retardo+1, 1
	BTFSS      STATUS+0, 0
	SUBWF      _retardo+2, 1
	BTFSS      STATUS+0, 0
	SUBWF      _retardo+3, 1
;MCP4725_CNF.c,199 :: 		}
	GOTO       L_key_pad54
L_key_pad55:
;MCP4725_CNF.c,200 :: 		}
L_end_key_pad:
	RETURN
; end of _key_pad

_adc_readig:

;MCP4725_CNF.c,201 :: 		void adc_readig() {
;MCP4725_CNF.c,205 :: 		tlong = (long)adc_rd * 2500; // Convertir el resultado en milesimas
	MOVF       _adc_rd+0, 0
	MOVWF      R0+0
	MOVF       _adc_rd+1, 0
	MOVWF      R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVLW      196
	MOVWF      R4+0
	MOVLW      9
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Mul_32x32_U+0
	MOVF       R0+0, 0
	MOVWF      adc_readig_tlong_L0+0
	MOVF       R0+1, 0
	MOVWF      adc_readig_tlong_L0+1
	MOVF       R0+2, 0
	MOVWF      adc_readig_tlong_L0+2
	MOVF       R0+3, 0
	MOVWF      adc_readig_tlong_L0+3
;MCP4725_CNF.c,206 :: 		tlong = tlong / 1023;        // 0..1023 -> 0-1000
	MOVLW      255
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      adc_readig_tlong_L0+0
	MOVF       R0+1, 0
	MOVWF      adc_readig_tlong_L0+1
	MOVF       R0+2, 0
	MOVWF      adc_readig_tlong_L0+2
	MOVF       R0+3, 0
	MOVWF      adc_readig_tlong_L0+3
;MCP4725_CNF.c,207 :: 		ch = tlong / 1000;           // Extraer decenas del resultado
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
;MCP4725_CNF.c,208 :: 		Lcd_Chr(2,6,48+ch);          // Escribir resultado en formato ASCII
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      6
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;MCP4725_CNF.c,209 :: 		ch = (tlong / 100) % 10;    // Extraer unidades del resultado
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       adc_readig_tlong_L0+0, 0
	MOVWF      R0+0
	MOVF       adc_readig_tlong_L0+1, 0
	MOVWF      R0+1
	MOVF       adc_readig_tlong_L0+2, 0
	MOVWF      R0+2
	MOVF       adc_readig_tlong_L0+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;MCP4725_CNF.c,210 :: 		Lcd_Chr_CP(48+ch);           // Escribir resultado en formato ASCII
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;MCP4725_CNF.c,211 :: 		Lcd_Chr_CP('.');             // Escribir el punto decimal
	MOVLW      46
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;MCP4725_CNF.c,212 :: 		ch = (tlong / 10) % 10;     // Extraer centecimas del resultado
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       adc_readig_tlong_L0+0, 0
	MOVWF      R0+0
	MOVF       adc_readig_tlong_L0+1, 0
	MOVWF      R0+1
	MOVF       adc_readig_tlong_L0+2, 0
	MOVWF      R0+2
	MOVF       adc_readig_tlong_L0+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;MCP4725_CNF.c,213 :: 		Lcd_Chr_CP(48+ch);           // Escribir resultado en formato ASCII
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;MCP4725_CNF.c,214 :: 		ch = tlong % 10;             // Extraer unicemimas del resultado
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       adc_readig_tlong_L0+0, 0
	MOVWF      R0+0
	MOVF       adc_readig_tlong_L0+1, 0
	MOVWF      R0+1
	MOVF       adc_readig_tlong_L0+2, 0
	MOVWF      R0+2
	MOVF       adc_readig_tlong_L0+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;MCP4725_CNF.c,215 :: 		Lcd_Chr_CP(48+ch);           // Escribir resultado en formato ASCII
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;MCP4725_CNF.c,216 :: 		}
L_end_adc_readig:
	RETURN
; end of _adc_readig

_main:

;MCP4725_CNF.c,217 :: 		void main()
;MCP4725_CNF.c,219 :: 		Set_up();
	CALL       _Set_up+0
;MCP4725_CNF.c,220 :: 		mcp4725_ADC(0);
	CLRF       FARG_mcp4725_ADC_valor+0
	CLRF       FARG_mcp4725_ADC_valor+1
	CLRF       FARG_mcp4725_ADC_valor+2
	CLRF       FARG_mcp4725_ADC_valor+3
	CALL       _mcp4725_ADC+0
;MCP4725_CNF.c,221 :: 		delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main58:
	DECFSZ     R13+0, 1
	GOTO       L_main58
	DECFSZ     R12+0, 1
	GOTO       L_main58
	DECFSZ     R11+0, 1
	GOTO       L_main58
	NOP
;MCP4725_CNF.c,222 :: 		buzzer();
	CALL       _buzzer+0
;MCP4725_CNF.c,223 :: 		while (1)
L_main59:
;MCP4725_CNF.c,225 :: 		RD0_bit=0;
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
;MCP4725_CNF.c,226 :: 		adc_rd = ADC_Read(2);
	MOVLW      2
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _adc_rd+0
	MOVF       R0+1, 0
	MOVWF      _adc_rd+1
;MCP4725_CNF.c,227 :: 		delay_ms(1);
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_main61:
	DECFSZ     R13+0, 1
	GOTO       L_main61
	DECFSZ     R12+0, 1
	GOTO       L_main61
;MCP4725_CNF.c,228 :: 		for(wait=0; wait<=100; wait++){
	CLRF       _wait+0
L_main62:
	MOVLW      128
	XORLW      100
	MOVWF      R0+0
	MOVLW      128
	XORWF      _wait+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main63
;MCP4725_CNF.c,229 :: 		adc_readig();
	CALL       _adc_readig+0
;MCP4725_CNF.c,230 :: 		if(Keypad_Key_press()) delay_ms(1), key_pad();
	CALL       _Keypad_Key_Press+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main65
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_main66:
	DECFSZ     R13+0, 1
	GOTO       L_main66
	DECFSZ     R12+0, 1
	GOTO       L_main66
	CALL       _key_pad+0
L_main65:
;MCP4725_CNF.c,228 :: 		for(wait=0; wait<=100; wait++){
	INCF       _wait+0, 1
;MCP4725_CNF.c,231 :: 		}
	GOTO       L_main62
L_main63:
;MCP4725_CNF.c,232 :: 		}
	GOTO       L_main59
;MCP4725_CNF.c,233 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
